SystemOrganization addCategory: #'DeliSqueak-util'!

WAKomEncoded subclass: #DLKomEncoded
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeliSqueak-util'!

!DLKomEncoded commentStamp: 'tfel 2/11/2010 00:19' prior: 0!
This Subclasses only purpose is to ALWAYS stream uploads to avoid filling the image memory!

!DLKomEncoded methodsFor: 'accessing' stamp: 'tfel 2/11/2010 00:18'!
streamUploads

	 ^ true! !

!DLApplication class methodsFor: '*delisqueak-cronjob' stamp: 'topa 5/10/2010 08:34'!
startSqueakNotificationSchedule

	scheduler := TaskScheduler new.
	scheduler start.
	scheduler do: [
		Transcript show: DateAndTime now asString; cr;
					  show: 'Running notification process'; cr.
		DLNotification releaseMails.
		Transcript show: 'Finished';cr.
		] every: 1200 seconds.! !

!DLApplication class methodsFor: '*delisqueak-cronjob' stamp: 'topa 5/10/2010 08:34'!
stopSqueakNotificationSchedule

	scheduler stop.! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:35'!
resetApplication
	DLKomEncoded stop.
	WARegistry clearAllHandlers.
	Smalltalk garbageCollect.
	DLKomEncoded startOn: 8005.! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:33'!
startScheduler

	DLApplication startSqueakNotificationSchedule.! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:33'!
stopScheduler

	DLApplication stopSqueakNotificationSchedule.! !
